//+------------------------------------------------------------------+
//|                                                  .mq4 |
//|                                                           |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright ""
#property link      ""
#define MAGIC 12345

//---- input parameters
extern int       Goal=10;

int total,ticket1,ticket2,ticket3,z;
double audask,audbid,usdbid;
double min=0,max= -30;
string aud="AUDJPY",usd="AUDUSD",jpy="USDJPY";

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
  total=OrdersTotal();
  double audprof=MarketInfo(aud,MODE_BID);
  double usdprof=MarketInfo(usd,MODE_ASK);
  double jpyprof=MarketInfo(jpy,MODE_ASK);
  double audpnt=1.686;
  double usdpnt=2;
  double jpypnt=0.844;
  if (total<1)
    {
    audask=MarketInfo(aud,MODE_ASK);
    ticket1=OrderSend(aud,OP_BUY,0.1,audask,0,0,0," AUD",MAGIC);
    audbid=MarketInfo(usd,MODE_BID);
    ticket2=OrderSend(usd,OP_SELL,0.1,audbid,0,0,0," USD",MAGIC);
    usdbid=MarketInfo(jpy,MODE_BID);
    ticket3=OrderSend(jpy,OP_SELL,0.1,usdbid,0,0,0," JPY",MAGIC);
    }
  
  if (OrdersTotal()!=0)   
  {
    for (z=OrdersTotal()-1; z>=0; z --)
    {
      OrderSelect (z, SELECT_BY_POS,MODE_TRADES);
      if (OrderMagicNumber()!=MAGIC) continue;
      if (OrderType()==OP_BUY && OrderSymbol()==aud) 
      {
        ticket1=OrderTicket();
        audask=OrderOpenPrice();
      }
      if(OrderType()==OP_SELL && OrderSymbol()==usd) 
      {
        ticket2=OrderTicket();
        audbid=OrderOpenPrice();
      }
      if(OrderType()==OP_SELL && OrderSymbol()==jpy) 
      {
        ticket3=OrderTicket();
        usdbid=OrderOpenPrice();
      }
      continue;
    }
  }
  double prof=(audprof-audask)*audpnt*100+(audbid-usdprof)*usdpnt*10000+(usdbid-jpyprof)*jpypnt*100;
  
  if (prof>Goal)
    {
    OrderClose(ticket1,0.1,audprof,0);
    OrderClose(ticket2,0.1,usdprof,0);
    OrderClose(ticket3,0.1,jpyprof,0);
    }
  if (prof>max)
    max=prof;
  if (prof<min)
    min=prof; 
  Comment("  "+prof+"\n"+" "+min+"\n"+" "+max);
   
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+

